<?xml version="1.0" encoding="UTF-8"?>
<object class="root" name="root" title="Базовый проект">
    <parametr name="projectName" title="Название проекта">Название проекта</parametr>
    <parametr name="projectID" title="Код проекта">PRJID</parametr>
    
    <!-- Визуализация -->
    <object class="VisualProject" name="Visual">
        <property name="title" variable="">[[[projectName]]]</property>
        <property name="pos">100,100</property>
        <property name="size">1024x768</property>
        <property name="runInFullScreen">false</property>
        <property name="userInfoProvider">PROJECT_ROOT/DataProviders/FirebirdDB</property>
        
        <!-- Основная панель управления -->
        <object class="VsqToolsPanel" name="ControlPanel">
            <property name="minimumSize">0x40</property>
            <property name="maximumSize">16777215x50</property>
            
            <!-- Кнопка "Выход" -->
            <object class="VsqCtrlButton" name="ButtonExit">
                <property name="textSelected"></property>
                <property name="textUnselected"></property>
                <property name="iconOff">btn_exit</property>
                <property name="iconOn">btn_exit</property>
                <property name="checkable">false</property>
                <property name="enableState">Sleep</property>
                <action signal="stop()" target="Visual" slot="exitRequest()" />
            </object>

            <!-- Разделитель -->
            <object class="VisPanel" name="Space_1">
                <property name="maximumSize">8x16777215</property>
                <property name="shadow">Raised</property>
                <property name="shape">VLine</property>
                <property name="color">#d3d3d3</property>
            </object>

            <!-- Кнопка "Подключиться" -->
            <object class="VsqCtrlButton" name="ButtonConnect">
                <property name="textSelected"></property>
                <property name="textUnselected"></property>
                <property name="iconOff">connect</property>
                <property name="iconOn">connect</property>
                <property name="checkable">false</property>
                <property name="enableState">Sleep</property>
                <action signal="stop()" target="Visual" slot="login()" />
            </object>
            
            <!-- Кнопка "Отключиться" -->
            <object class="VsqCtrlButton" name="ButtonDisconnect">
                <property name="textSelected"></property>
                <property name="textUnselected"></property>
                <property name="iconOff">disconnect</property>
                <property name="iconOn">disconnect</property>
                <property name="checkable">false</property>
                <property name="enableState">Working</property>
                <action signal="stop()" target="Visual" slot="logout()" />
            </object>
            
            <!-- Кнопка "Заблокировать" -->
            <object class="VsqCtrlButton" name="ButtonKey">
                <property name="textSelected"></property>
                <property name="textUnselected"></property>
                <property name="iconOff">btn_key</property>
                <property name="iconOn">btn_key</property>
                <property name="checkable">false</property>
                <property name="enableState">None</property>
                <action signal="stop()" target="Visual" slot="login()" />
            </object>
            
            <!-- Кнопка "Настройки" -->
            <object class="VsqCtrlButton" name="ButtonSettings">
                <property name="textSelected"></property>
                <property name="textUnselected"></property>
                <property name="iconOff">btn_setings</property>
                <property name="iconOn">btn_setings</property>
                <property name="checkable">false</property>
                <property name="enableState">All</property>
                <action signal="stop()" target="Visual/Editors/VisAdminSettingsEditor" slot="showEditor()" />
            </object>

            <!-- Разделитель -->
            <object class="VisPanel" name="Space_2">
                <property name="maximumSize">8x16777215</property>
                <property name="shadow">Raised</property>
                <property name="shape">VLine</property>
                <property name="color">#d3d3d3</property>
            </object>
            
            <!-- Кнопка "Журнал" -->
            <object class="VsqCtrlButton" name="ButtonJournal">
                <property name="textSelected"></property>
                <property name="textUnselected"></property>
                <property name="iconOff">btn_book</property>
                <property name="iconOn">btn_book</property>
                <property name="checkable">false</property>
                <property name="enableState">Working</property>
                <action signal="stop()" target="Visual/Editors/VisJournalEditor" slot="ShowJournal()" />
            </object>
            
            <!-- Кнопка "Текущие аварии" -->
            <object class="VsqCtrlButton" name="ButtonAlarms">
                <property name="textSelected"></property>
                <property name="textUnselected"></property>
                <property name="iconOff">btn_znak_alarm</property>
                <property name="iconOn">btn_znak_alarm</property>
                <property name="checkable">false</property>
                <property name="enableState">Working</property>
                <action signal="stop()" target="Visual/Editors/ShowCurrentMessagesList" slot="ShowWindow()" />
            </object>
            
            <!-- Разделитель -->
            <object class="VisPanel" name="Space_3">
                <property name="maximumSize">8x16777215</property>
                <property name="shadow">Raised</property>
                <property name="shape">VLine</property>
                <property name="color">#d3d3d3</property>
            </object>
            
            <!-- Панель "Название проекта" -->
            <object class="VisToolLabel" name="LabelProjectName">
                <property name="text" variable="">[[[projectName]]]</property>
                <property name="font">Times New Roman,14,bold,italic</property>
            </object>

            <!-- Панель "Текущие время" -->
            <object class="VisToolLabel" name="LabelTime">
                <property name="text">[Time]</property>
                <property name="font">Times New Roman,14,bold</property>
                <property name="maximumSize">130x16777215</property>
            </object>

        </object>

        <!-- Рабочая зона -->
        <object class="VisTabs" name="WorkPlace">
            <property name="title"></property>
            <property name="currentPage">0</property>

            <!-- Страницы управления -->
            <object class="VisLayoutPage" name="PageControl">
                <property name="title">Управление</property>
                <property name="color">#a0a0a4</property>
                <property name="isHorizontal">true</property>
                <property name="spacing">3</property>
                <property name="margin">0</property>

                <!-- Панель кнопок навигации -->
                <object class="VisLayoutPage" name="PanelNavigation">
                    <property name="maximumSize">200x16777215</property>
                    <property name="color">#a0a0a4</property>
                    <property name="isHorizontal">false</property>
                    <property name="spacing">10</property>
                    <property name="margin">10</property>
                    
                    <!-- Кнопка "Маршруты" -->
                    <object class="VsqCtrlButton" name="ButtonMarshruts">
                        <property name="maximumSize">16777215x50</property>
                        <property name="textSelected">Маршруты</property>
                        <property name="textUnselected">Маршруты</property>
                        <property name="iconOff"></property>
                        <property name="iconOn"></property>
                        <property name="checkable">false</property>
                        <property name="enableState">All</property>
                        <action signal="stop()" target="Visual/PageControl/BoxPages/PanelMarshruts" slot="showMe()" />
                    </object>
                    
                    <!-- Кнопка "Весовой учёт" -->
                    <object class="VsqCtrlButton" name="ButtonWeight">
                        <property name="maximumSize">16777215x50</property>
                        <property name="textSelected">Весовой учёт</property>
                        <property name="textUnselected">Весовой учёт</property>
                        <property name="iconOff"></property>
                        <property name="iconOn"></property>
                        <property name="checkable">false</property>
                        <property name="enableState">All</property>
                    </object>

                    <!-- Кнопка "Схемы" -->
                    <object class="VsqCtrlButton" name="ButtonPages">
                        <property name="maximumSize">16777215x50</property>
                        <property name="textSelected">Схемы</property>
                        <property name="textUnselected">Схемы</property>
                        <property name="iconOff"></property>
                        <property name="iconOn"></property>
                        <property name="checkable">false</property>
                        <property name="enableState">All</property>
                        <action signal="stop()" target="Visual/PageControl/BoxPages/PanelPages" slot="showMe()" />
                    </object>
                    
                    <!-- Растяжка -->
                    <object class="VisLayoutPage" name="Space">
                        <property name="color">#a0a0a4</property>
                        <property name="isHorizontal">true</property>
                        <property name="spacing">3</property>
                        <property name="margin">0</property>
                    </object>

                    <!-- Кнопка "О Программе" -->
                    <object class="VsqCtrlButton" name="ButtonAbout">
                        <property name="maximumSize">16777215x50</property>
                        <property name="textSelected">О программе....</property>
                        <property name="textUnselected">О программе....</property>
                        <property name="iconOff"></property>
                        <property name="iconOn"></property>
                        <property name="checkable">false</property>
                        <property name="enableState">All</property>
                    </object>

                </object>
                
                 <!-- Страницы управления -->
                <object class="VisPageBox" name="BoxPages">
                    <property name="currentPage">0</property>

                    <!-- Маршруты -->
                    <object class="VisPanel" name="PanelMarshruts">
                        <property name="shadow">Plain</property>
                        <property name="shape">StyledPanel</property>
                        <property name="color">#eeeeee</property>
                    </object>

                    <object class="VisPanel" name="PanelPages">
                        <property name="shadow">Plain</property>
                        <property name="shape">NoFrame</property>
                        <property name="color">#d3d3d3</property>

                        <object class="VisLabel" name="VisLabel">
                            <property name="text" variable="">[[[projectName]]]</property>
                            <property name="pos">4,36</property>
                            <property name="size">866x39</property>
                            <property name="font">Times New Roman,20,bold,italic</property>
                            <property name="textColor">#000000</property>
                            <property name="backgroundColor">#d3d3d3</property>
                            <property name="autoFillBackground">true</property>
                            <property name="shadow">Sunken</property>
                            <property name="shape">NoFrame</property>
                            <property name="alignment">[AlignHCenter, AlignVCenter]</property>
                            <property name="wordWrap">false</property>
                        </object>
                        
                        <object class="VisLabel" name="VisLabel1">
                            <property name="text">Автоматизированная система управления мельницей</property>
                            <property name="pos">4,76</property>
                            <property name="size">866x31</property>
                            <property name="font">Times New Roman,12,bold,italic</property>
                            <property name="textColor">#000000</property>
                            <property name="backgroundColor">#d3d3d3</property>
                            <property name="autoFillBackground">true</property>
                            <property name="shadow">Sunken</property>
                            <property name="shape">NoFrame</property>
                            <property name="alignment">[AlignHCenter, AlignVCenter]</property>
                            <property name="wordWrap">false</property>
                        </object>
                        
                    </object>
                    
                </object>
                
            </object>
            
            <object class="VisTabPage" name="Test">
                <property name="title">Test</property>
                <property name="tabVisible">true</property>
            </object>
            
        </object>
        
        <!-- Информационная панель -->
        <object class="VsqInfoPanel" name="InfoPanel">
            <property name="messageModule">DataProviders/MessageModul</property>
            <property name="eqVarSet"></property>
            <property name="font">MS Shell Dlg 2,8</property>
        </object>
        
        <!-- Рабочая зона -->
        <object class="VisEditorsGroup" name="Editors">
            
            <object class="VisUnitEditor" name="VisUnitEditor">
                <property name="visOwner">Visual/WorkPlace</property>
                <property name="dbLink">DataProviders/FirebirdDB</property>
            </object>
            
            <object class="VisParametersEditor" name="VisParametersEditor"/>
            
            <object class="VisJournalEditor" name="VisJournalEditor">
                <property name="firbirdDB">DataProviders/FirebirdDB</property>
            </object>
            
            <object class="ShowCurrentMessagesList" name="ShowCurrentMessagesList">
                <property name="mesModul">DataProviders/MessageModul</property>
            </object>
            
            <object class="VisAdminSettingsEditor" name="VisAdminSettingsEditor">
            
                <object class="VisAEApplication" name="VisAEApplication">
                    <property name="title">Общие</property>
                </object>
            
                <object class="VisAERpSvr" name="VisAERpSvr">
                    <property name="title">RpSvrClient</property>
                    <property name="rpSvrClient">DataProviders/RpSvrTcpClient</property>
                </object>
            
                <object class="VisAEFirebirdDB" name="VisAEFirebirdDB">
                    <property name="title">FirebirdDB</property>
                    <property name="firebirdDB">DataProviders/FirebirdDB</property>
                </object>
            
                <object class="VisAEVisualProject" name="VisAEVisualProject">
                    <property name="title">Внешний вид</property>
                    <property name="visualProject">PROJECT_ROOT/</property>
                </object>
            
            </object>
        
        </object>
        
    </object>

    <!-- Оборудование -->
    <object class="EquipmentProject" name="Equipment">
        <property name="tagPath" variable="">[[[projectID]]]</property>
        <property name="dataProvider">DataProviders/RpSvrTcpClient</property>
        <property name="beepTagName"></property>
    
        <object class="EquipmentGroup" name="M_Control">
        </object>
    
        <object class="EquipmentGroup" name="Marshruts">
        </object>
    
    </object>

    <!-- Оборудование -->
    <object class="DataProvidersGroup" name="DataProviders">
    
        <object class="RpSvrTcpClient" name="RpSvrTcpClient">
            <property name="hostName"></property>
            <property name="hostPort">0</property>
            <property name="tagFilter"></property>
        </object>
        
        <object class="DpIBPPDB" name="FirebirdDB">
            <property name="host"></property>
            <property name="dbMessages"></property>
            <property name="dbTags"></property>
            <property name="dbUserName">SYSDBA</property>
            <property name="dbPassword">masterkey</property>
        </object>
        
        <object class="MessageProcessModul" name="MessageModul">
            <property name="rulesSource">DataProviders/FirebirdDB</property>
            <property name="tagsSource">DataProviders/RpSvrTcpClient</property>
        </object>
        
    </object>


</object>
